﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RSN.DotP
{
	public enum FilterBooleanOperation
	{
		And,
		Or,
	}

	// This class is the base class from which all filter objects will be derived.
	abstract class CardFilterBase
	{
		public CardFilterBase()
		{
			Compare = FilterBooleanOperation.And;
		}

		public FilterBooleanOperation Compare;

		public abstract string Name { get; }
		public abstract object Operation { get; set; }
		public abstract object Value { get; set; }

		public abstract bool IsAllowed(CardInfo ciCard);
	}
}
